Eclipse BIRT Report Object Model (ROM)

ParameterGroup Element

# Element Overview

Visual grouping of report parameters.

### Details

Display Name: | Parameter Group
Since: | 1.0
XML Element: | `parameter-group`
Extends: | ReportElement
Extendable: | Yes
Abstract: | No
Name Space: | Parameters
Name Requirement: | Required
Allows User Properties: | Yes
Has Style: | No

### Property Summary

helpText
  Additional pop-up help text associated with the group.
helpTextID
  Resource key for the help text.
promptText
promptTextID
startExpanded
  Whether the group should start expanded in the UI, or start collapsed.

### Slot Summary

parameters
  The set of parameters that appear inside the group.

### Inherited Properties

comments, customXml, displayName, displayNameID, eventHandlerClass, extends, name, newHandlerOnEachEvent, propertyMasks, userProperties, viewAction

### Inherited Property Notes

name
  The internal name of the group. The name must be unique among parameters and parameter groups. The user will see this name unless the display name is defined. The name cannot be externalized.

### Description

A parameter group creates a visual grouping of parameters. The developer controls the order that groups appear in the UI, and the order in which parameters appear in the group. A runtime UI may choose to allow the user to expand & collapse parameter groups independently.

# Property Detail

## helpText Property

Additional pop-up help text associated with the group.

### Details

Type: | string
Since: | 1.0
Required: | No
Display Name: | Help text
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Description

Additional pop-up help text associated with the group. This text can explain the purpose of the group, or provide overall explanation of how a set of parameters work together. The help text can be localized.

## helpTextID Property

Resource key for the help text.

### Details

Type: | resourceKey
Since: | 1.0
Required: | No
Display Name: | Help text key
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Description

Resource bundle key for the localizable help text.

## promptText Property

### Details

Type: | string
Since: | 2.1
Required: | No
Display Name: | Prompt text
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

## promptTextID Property

### Details

Type: | resourceKey
Since: | 2.3
Required: | No
Display Name: | Prompt text key
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | Yes
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

## startExpanded Property

Whether the group should start expanded in the UI, or start collapsed.

### Details

Type: | boolean
Since: | 1.0
Required: | No
Display Name: | Start expanded
JavaScript Type: |
Default Value: | true
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Description

If the UI can expand and collapse groups, then the UI should assume that groups appear in "collapsed" form by default. Use this attribute to cause the group to appear expanded by default instead. Ignored if the UI does not support group expand/collapse.

# Slot Detail

## parameters Slot

The set of parameters that appear inside the group.

### Details

Display Name: | Parameters
Since: | 1.0
XML Element: | `parameters`
Contents: | List of Parameter

### Description

The set of parameters that appear inside the group. The UI should ignore the group is empty. Parameters appear in the UI in the same order that they appear in this list.